import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onDocdisButtxmsel(){
                let rtnmsg = await this.executeRule("docdis_buttxmsel")
                if(rtnmsg.retcod == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onShppDet(){
                let rtnmsg = await this.executeRule("shpp_det")
                if(rtnmsg.retcod == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfconButshw(){
                let rtnmsg = await this.executeRule("infcon_butshw")
                if(rtnmsg.retcod == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}